> ## Documentation Index
> Fetch the complete documentation index at: https://flutterwaveinc.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch a Subaccount

> Fetch the details of a single collection subaccount



## OpenAPI

````yaml get /subaccounts/{id}
openapi: 3.0.0
info:
  title: Flutterwave v3
  description: >-
    The Flutterwave for Business(F4B) APIs collection for all v3 endpoints with
    pre-formatted requests and response examples.
  contact: {}
  version: '1.0'
servers:
  - url: https://api.flutterwave.com/v3
    variables: {}
security:
  - bearer: []
tags:
  - name: Charges
    description: >-
      The charge APIs includes several payment collection methods to help you
      collect payments.
  - name: Tokenized Charges
    description: Tokenize your customers' cards with Flutterwave for faster payments
  - name: Preauthorization
    description: Manage preauth attemps on card transactions
  - name: Transactions
    description: Manage transactions, query statuses, logs and fees
  - name: Transfers
    description: Transfers to local and international customers
  - name: Beneficiaries
    description: Manage transfer beneficiaries
  - name: Virtual Cards
    description: Manage Flutterwave virtual cards
  - name: Virtual Account Numbers
    description: Manage virtual accounts
  - name: Collection Subaccounts
    description: Manage Collection Subaccounts
  - name: Payout Subaccounts
    description: Manage Payout Subaccounts
  - name: Subscriptions
    description: Manage user subscriptions
  - name: Payment Plans
    description: Manage Payment Plans
  - name: Bill Payments
    description: Manage Bill Payments
  - name: Banks
    description: Fetch Bank Information
  - name: Misc
    description: >-
      Verify user information like bank verification numbers, card bins, account
      information
  - name: Settlements
    description: Manage your settlements
  - name: Otps
    description: Create and manage one time passwords (OTPs) for your applications
  - name: Chargebacks
    description: Manage Chargebacks
paths:
  /subaccounts/{id}:
    get:
      tags:
        - Collection Subaccounts
      summary: Fetch a Subaccount
      description: Fetch the details of a single collection subaccount
      operationId: FetchaSubaccount
      parameters:
        - name: id
          in: path
          description: ''
          required: true
          style: simple
          schema:
            type: string
      responses:
        '200':
          description: OK
          headers:
            X-Powered-By:
              content:
                text/plain:
                  schema:
                    type: string
                  example: Express
            Access-Control-Allow-Origin:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '*'
            Access-Control-Allow-Headers:
              content:
                text/plain:
                  schema:
                    type: string
                  example: >-
                    Origin, X-Requested-With, Content-Type, Accept,
                    Authorization, v3-xapp-id, flw-auth-token, mra-auth-token,
                    alt_mode_auth
            Access-Control-Allow-Methods:
              content:
                text/plain:
                  schema:
                    type: string
                  example: PUT, POST, GET, DELETE, OPTIONS
            Content-Length:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '423'
            ETag:
              content:
                text/plain:
                  schema:
                    type: string
                  example: W/"1a7-ADkz899Y674y60sJ5U4vFA"
            Date:
              content:
                text/plain:
                  schema:
                    type: string
                  example: Mon, 20 Jan 2020 06:39:59 GMT
            Connection:
              content:
                text/plain:
                  schema:
                    type: string
                  example: keep-alive
          content:
            application/json; charset=utf-8:
              schema:
                allOf:
                  - $ref: '#/components/schemas/SampleSuccessResponse20'
                  - example:
                      status: success
                      message: Subaccount fetched
                      data:
                        id: 2063
                        account_number: '0690000039'
                        account_bank: '044'
                        business_name: Sharp Guy
                        full_name: Dotun Ajib
                        created_at: '2020-01-02T21:54:35.000Z'
                        meta:
                          - swift_code: ''
                        account_id: 86548
                        split_ratio: 1
                        split_type: percentage
                        split_value: 0.6
                        subaccount_id: RS_2A9D2F79274AD40924983F5BA6975336
                        bank_name: ACCESS BANK NIGERIA
                        country: NG
              example:
                status: success
                message: Subaccount fetched
                data:
                  id: 2063
                  account_number: '0690000039'
                  account_bank: '044'
                  business_name: Sharp Guy
                  full_name: Dotun Ajib
                  created_at: '2020-01-02T21:54:35.000Z'
                  meta:
                    - swift_code: ''
                  account_id: 86548
                  split_ratio: 1
                  split_type: percentage
                  split_value: 0.6
                  subaccount_id: RS_2A9D2F79274AD40924983F5BA6975336
                  bank_name: ACCESS BANK NIGERIA
                  country: NG
        '400':
          description: Bad Request
          headers:
            X-Powered-By:
              content:
                text/plain:
                  schema:
                    type: string
                  example: Express
            Access-Control-Allow-Origin:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '*'
            Access-Control-Allow-Headers:
              content:
                text/plain:
                  schema:
                    type: string
                  example: >-
                    Origin, X-Requested-With, Content-Type, Accept,
                    Authorization, v3-xapp-id, flw-auth-token, mra-auth-token,
                    alt_mode_auth
            Access-Control-Allow-Methods:
              content:
                text/plain:
                  schema:
                    type: string
                  example: PUT, POST, GET, DELETE, OPTIONS
            Content-Length:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '63'
            ETag:
              content:
                text/plain:
                  schema:
                    type: string
                  example: W/"3f-2vcST+gZxhQQ8oPUbjGAuA"
            Date:
              content:
                text/plain:
                  schema:
                    type: string
                  example: Thu, 30 Jan 2020 09:04:07 GMT
            Connection:
              content:
                text/plain:
                  schema:
                    type: string
                  example: keep-alive
          content:
            application/json; charset=utf-8:
              schema:
                allOf:
                  - $ref: '#/components/schemas/SampleErrorResponse1'
                  - example:
                      status: error
                      message: Subaccount not found
                      data: null
              example:
                status: error
                message: Subaccount not found
                data: null
      deprecated: false
components:
  schemas:
    SampleSuccessResponse20:
      title: SampleSuccessResponse20
      required:
        - status
        - message
        - data
      type: object
      properties:
        status:
          type: string
        message:
          type: string
        data:
          $ref: '#/components/schemas/Data53'
      example:
        status: success
        message: Subaccount fetched
        data:
          id: 2063
          account_number: '0690000039'
          account_bank: '044'
          business_name: Sharp Guy
          full_name: Dotun Ajib
          created_at: '2020-01-02T21:54:35.000Z'
          meta:
            - swift_code: ''
          account_id: 86548
          split_ratio: 1
          split_type: percentage
          split_value: 0.6
          subaccount_id: RS_2A9D2F79274AD40924983F5BA6975336
          bank_name: ACCESS BANK NIGERIA
          country: NG
    SampleErrorResponse1:
      title: SampleErrorResponse1
      required:
        - status
        - message
        - data
      type: object
      properties:
        status:
          type: string
        message:
          type: string
        data:
          type: string
          nullable: true
      example:
        status: error
        message: >-
          retry_interval is required , retry_amount_variable is required ,
          retry_attempt_variable is required
        data: null
    Data53:
      title: Data53
      required:
        - id
        - account_number
        - account_bank
        - business_name
        - full_name
        - created_at
        - meta
        - account_id
        - split_ratio
        - split_type
        - split_value
        - subaccount_id
        - bank_name
        - country
      type: object
      properties:
        id:
          type: integer
          format: int32
        account_number:
          type: string
        account_bank:
          type: string
        business_name:
          type: string
        full_name:
          type: string
        created_at:
          type: string
        meta:
          type: array
          items:
            $ref: '#/components/schemas/Meta31'
          description: ''
        account_id:
          type: integer
          format: int32
        split_ratio:
          type: integer
          format: int32
        split_type:
          type: string
        split_value:
          type: number
        subaccount_id:
          type: string
        bank_name:
          type: string
        country:
          type: string
      example:
        id: 2063
        account_number: '0690000039'
        account_bank: '044'
        business_name: Sharp Guy
        full_name: Dotun Ajib
        created_at: '2020-01-02T21:54:35.000Z'
        meta:
          - swift_code: ''
        account_id: 86548
        split_ratio: 1
        split_type: percentage
        split_value: 0.6
        subaccount_id: RS_2A9D2F79274AD40924983F5BA6975336
        bank_name: ACCESS BANK NIGERIA
        country: NG
    Meta31:
      title: Meta31
      required:
        - swift_code
      type: object
      properties:
        swift_code:
          type: string
      example:
        swift_code: ''
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````